Debian Bug report logs - #471764
partman-lvm: cannot set a size to lvm partition (size 0 is invalid)

version graph

Package: partman-lvm; Maintainer for partman-lvm is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-lvm is src:partman-lvm.

Reported by: Lucas Szybalski <szybalski@gmail.com>

Date: Wed, 19 Mar 2008 23:57:02 UTC

Severity: important

Tags: patch

Merged with 411943, 437016

Found in version partman-lvm/50

Fixed in version partman-lvm/62

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#471764; Package partman-lvm. Full text and rfc822 format available.

Acknowledgement sent to Lucas Szybalski <szybalski@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Szybalski <szybalski@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: partman-lvm: cannot set a size to lvm partition (size 0 is invalid)
Date: Wed, 19 Mar 2008 10:54:18 -0500
Package: partman-lvm
Severity: normal

Hello,

I am running debian etch stable from a net install cd I just downloaded.
I have 4x 500gb drives.

Each drive has 2 partitions. 1gb and 499gb.

raid 1 - each 1gb has been setup as raid 1
raid 5- each 499gb partition was setup as raid 5 totaling a raid 5
partition as 1500gb / 1.5Tb

I set the raid 5 partition as a lvm group and now I am trying to
create lvm partition for my home at 1450GB. I keep getting the error
that partition size 0 cannot be created.

I tried:
1450g
1450GB
97%
1.45t
1.45TB
1459000m
1459000MB
all give me the same error.

Here is a syslog.
I don't know why but when I want to create lvm volume:
1497303MB is my initial setting.
I can just hit enter to 1497303MB and it will take it.

But if I pick 1457303MB I get an error.

What is going on with these numbers. syslog tells  me that 1.36 TB is
only available? Shouldn't that be 1.4xx TB?

Can somebody explain why I cannot create my 1.45 tb and rest as swap
partitions? Also why sys log tells me I have 1.36 even do other
screens tell me that my lvm group holds 1.5tb?

I tried both. installgui and install when setting these up.

After emailing a list I found out:

There is some confusion inside partman and between partman and other
 tools about how disk sizes are presented. Disk capacity is usually given as a power of 10, while other sizes are in multiples of bytes (power of 2).

So 40MB can be either 40.000.000 bytes or 41.943.040 (40*1024*1024).


 You are correct on this one. Finally after 4h of reserach I realized
 that 500Gb drive is in reality 465GiB. So 1.3Tb 465*3 is about right.
 So there seem to be a miss match of what is displayed and what it is
 in reality. In real world the drive is 465Gib and that is what I
 should see.

 The partition screen shows the lvm group partition as 1.5TB, but when
 you go into add first partition it wants the actual GiB size (max
 1.5Tb =max 1.3Tb).
 Not sure why it let me put into 1497303MB (all space) but not
 1497000Mb etc.  If you recalculate by hand how much space you have in
 GiB then its easy from there. Confusion introduced by 500Gb =465Gib
 has everybody confused I guess. It would be much easier if everything
 was in GiB



 So final setting was to make one partition 1.1Tb and rest with rest of
 space.

 So I guess the partition screen should either show you (1500GB / 1395
 GiB ) or it should pick one(GiB preffered). My guess would to be make
 Gib a default since that is the size I will see when I do 'df -h' when
 its all said and done. I guess at Tera size the Gib vs GB measurement
 is huge!


here is a syslog to help you debug the problem:

here is a syslog.

Mar  4 14:22:19 main-menu[2608]: INFO: Falling back to the package
description for auto-install
Mar  4 14:22:19 main-menu[2608]: INFO: Falling back to the package
description for ai-choosers
Mar  4 14:22:19 main-menu[2608]: INFO: Menu item 'partman-base' selected
Mar  4 14:22:21 partman:   PV /dev/md1   VG myserver   lvm2 [1.36 TB /
1.36 TB free]
Mar  4 14:22:21 partman:   Total: 1 [1.36 TB] / in use: 1 [1.36 TB] /
in no VG: 0 [0   ]
Mar  4 14:22:21 partman:   Reading all physical volumes.  This may
take a while...
Mar  4 14:22:21 partman:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:22:26 partman-lvm:   PV /dev/md1   VG myserver   lvm2 [1.36
TB / 1.36 TB free]
Mar  4 14:22:26 partman-lvm:   Total: 1 [1.36 TB] / in use: 1 [1.36
TB] / in no VG: 0 [0   ]
Mar  4 14:22:26 partman-lvm:   Reading all physical volumes.  This may
take a while...
Mar  4 14:22:26 partman-lvm:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:22:28 net/hw-detect.hotplug: Detected hotpluggable network
interface eth2
Mar  4 14:22:28 net/hw-detect.hotplug: Detected hotpluggable network
interface lo
Mar  4 14:22:28 net/hw-detect.hotplug: Detected hotpluggable network
interface eth1
Mar  4 14:22:28 net/hw-detect.hotplug: Detected hotpluggable network
interface eth0
Mar  4 14:22:28 udevd-event[8506]: udev_node_symlink: symlink(md/0,
/dev/md0) failed: File exists
Mar  4 14:22:28 udevd-event[8508]: udev_node_symlink: symlink(md/1,
/dev/md1) failed: File exists
Mar  4 14:22:46 partman-lvm:   Insufficient free extents (356985) in
volume group myserver: 371200 required
Mar  4 14:22:48 init: Process '/sbin/debian-installer' (pid 2426)
exited.  Scheduling it for restart.
Mar  4 14:22:48 init: Starting pid 9684, console /dev/vc/1:
'/sbin/debian-installer'
Mar  4 14:22:49 main-menu[2608]: WARNING **: Configuring
'partman-base' failed with error code 141
Mar  4 14:22:49 debconf: Setting debconf/language to en
Mar  4 14:24:39 main-menu[9991]: INFO: Falling back to the package
description for auto-install
Mar  4 14:24:39 main-menu[9991]: INFO: Falling back to the package
description for ai-choosers
Mar  4 14:24:39 main-menu[9991]: INFO: Menu item 'partman-base' selected
Mar  4 14:24:40 partman:   PV /dev/md1   VG myserver   lvm2 [1.36 TB /
1.36 TB free]
Mar  4 14:24:40 partman:   Total: 1 [1.36 TB] / in use: 1 [1.36 TB] /
in no VG: 0 [0   ]
Mar  4 14:24:41 partman:   Reading all physical volumes.  This may
take a while...
Mar  4 14:24:41 partman:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:24:49 partman-lvm:   PV /dev/md1   VG myserver   lvm2 [1.36
TB / 1.36 TB free]
Mar  4 14:24:49 partman-lvm:   Total: 1 [1.36 TB] / in use: 1 [1.36
TB] / in no VG: 0 [0   ]
Mar  4 14:24:49 partman-lvm:   Reading all physical volumes.  This may
take a while...
Mar  4 14:24:49 partman-lvm:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:25:00 partman-lvm:   PV /dev/md1   VG myserver   lvm2 [1.36
TB / 1.36 TB free]
Mar  4 14:25:00 partman-lvm:   Total: 1 [1.36 TB] / in use: 1 [1.36
TB] / in no VG: 0 [0   ]
Mar  4 14:25:00 partman-lvm:   Reading all physical volumes.  This may
take a while...
Mar  4 14:25:00 partman-lvm:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:25:01 net/hw-detect.hotplug: Detected hotpluggable network
interface lo
Mar  4 14:25:01 net/hw-detect.hotplug: Detected hotpluggable network
interface eth0
Mar  4 14:25:01 net/hw-detect.hotplug: Detected hotpluggable network
interface eth1
Mar  4 14:25:01 net/hw-detect.hotplug: Detected hotpluggable network
interface eth2
Mar  4 14:25:02 udevd-event[15327]: udev_node_symlink: symlink(md/0,
/dev/md0) failed: File exists
Mar  4 14:25:02 udevd-event[15328]: udev_node_symlink: symlink(md/1,
/dev/md1) failed: File exists
Mar  4 14:25:10 main-menu[1662]: WARNING **: Configuring
'partman-base' failed with error code 141
Mar  4 14:25:10 kernel: program parted_devices is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:10 kernel: program parted_devices is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:10 kernel: program parted_devices is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:10 kernel: program parted_devices is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:10 kernel: program parted_devices is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:10 kernel: program parted_server is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:11 kernel: program parted_server is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:11 kernel: program parted_server is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:11 kernel: program parted_server is using a deprecated
SCSI ioctl, please convert it to SG_IO
Mar  4 14:25:11 partman:   PV /dev/md1   VG myserver   lvm2 [1.36 TB /
1.36 TB free]
Mar  4 14:25:11 partman:   Total: 1 [1.36 TB] / in use: 1 [1.36 TB] /
in no VG: 0 [0   ]
Mar  4 14:25:12 partman:   Reading all physical volumes.  This may
take a while...
Mar  4 14:25:12 partman:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:25:29 partman-lvm:   PV /dev/md1   VG myserver   lvm2 [1.36
TB / 1.36 TB free]
Mar  4 14:25:29 partman-lvm:   Total: 1 [1.36 TB] / in use: 1 [1.36
TB] / in no VG: 0 [0   ]
Mar  4 14:25:29 partman-lvm:   Reading all physical volumes.  This may
take a while...
Mar  4 14:25:29 partman-lvm:   Found volume group "myserver" using
metadata type lvm2
Mar  4 14:25:31 net/hw-detect.hotplug: Detected hotpluggable network
interface eth1
Mar  4 14:25:31 net/hw-detect.hotplug: Detected hotpluggable network
interface eth2
Mar  4 14:25:31 net/hw-detect.hotplug: Detected hotpluggable network
interface lo
Mar  4 14:25:31 net/hw-detect.hotplug: Detected hotpluggable network
interface eth0
Mar  4 14:25:31 udevd-event[20612]: udev_node_symlink: symlink(md/0,
/dev/md0) failed: File exists
Mar  4 14:25:31 udevd-event[20655]: udev_node_symlink: symlink(md/1,
/dev/md1) failed: File exists
Mar  4 14:25:46 partman-lvm:   0 logical volume(s) in volume group
"myserver" now active
Mar  4 14:25:46 partman-lvm:   Volume group "myserver" successfully
removed
Mar  4 14:26:00 partman-lvm:   Volume group "myserver" successfully
created
Mar  4 14:27:14 partman-lvm:
Mar  4 14:27:14 partman-lvm: Insufficient free extents (356985) in
volume group myserver: 364326 required
Mar  4 14:27:14 partman-lvm:
Mar  4 14:27:14 partman-lvm:   Rounding up size to full physical extent
1.39 TB
Mar  4 14:31:32 partman-lvm:   Logical volume "myserver" created
Mar  4 14:31:52 partman-lvm:   Logical volume "myserver" successfully
removed
Mar  4 14:33:17 partman-lvm:   Insufficient free extents (356985) in
volume group myserver: 364326 required
Mar  4 14:33:17 partman-lvm:   Rounding up size to full physical extent
1.39 TB


here is the portman
parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 118
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices:
*******************************************************
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS =dev=md=0
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1003356159    1003356160      primary ext3
/dev/md/0


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 119
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS =dev=md=1
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1497304989695 1497304989696   primary ext2
/dev/md/1


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 120
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS
=dev=scsi=host0=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host0/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host0/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 121
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS
=dev=scsi=host2=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host2/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host2/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 122
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS
=dev=scsi=host3=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host3/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host3/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 123
parted_server: Opening infifo
/lib/partman/choose_partition/30lvm/choices: IN: PARTITIONS
=dev=scsi=host4=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host4/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host4/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 124
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices:
*******************************************************
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS =dev=md=0
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1003356159    1003356160      primary ext3
/dev/md/0


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 125
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS =dev=md=1
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1497304989695 1497304989696   primary ext2
/dev/md/1


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 126
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS
=dev=scsi=host0=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host0/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host0/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 127
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS
=dev=scsi=host2=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host2/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host2/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 128
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS
=dev=scsi=host3=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host3/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host3/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 129
parted_server: Opening infifo
/lib/partman/choose_partition/35crypto/choices: IN: PARTITIONS
=dev=scsi=host4=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host4/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host4/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 130
parted_server: Opening infifo
/lib/partman/choose_partition/45auto/choices:
*******************************************************
/lib/partman/choose_partition/60partition_tree/choices:
*******************************************************
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=md=0
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1003356159    1003356160      primary ext3
/dev/md/0


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       0-1003356159    1003356160      primary ext3    /dev/md/0
parted_server: main_loop: iteration 131
parted_server: Opening infifo
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=md=1
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: 1   0-1497304989695 1497304989696   primary ext2
/dev/md/1


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       0-1497304989695 1497304989696   primary ext2    /dev/md/1
parted_server: main_loop: iteration 132
parted_server: Opening infifo
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=scsi=host0=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host0/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host0/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host0/bus0/target0/lun0/part1
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host0/bus0/target0/lun0/part2
parted_server: main_loop: iteration 133
parted_server: Opening infifo
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=scsi=host2=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host2/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host2/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host2/bus0/target0/lun0/part1
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host2/bus0/target0/lun0/part2
parted_server: main_loop: iteration 134
parted_server: Opening infifo
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=scsi=host3=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host3/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host3/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host3/bus0/target0/lun0/part1
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host3/bus0/target0/lun0/part2
parted_server: main_loop: iteration 135
parted_server: Opening infifo
/lib/partman/choose_partition/60partition_tree/choices: IN: PARTITIONS
=dev=scsi=host4=bus0=target0=lun0=disc
parted_server: Read command: PARTITIONS
parted_server: command_partitions()
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host4/bus0/target0/lun0/part1


parted_server: OUT:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host4/bus0/target0/lun0/part2


parted_server: Partitions printed
parted_server: OUT:


parted_server: Closing infifo and outfifo
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
1       32256-1003484159        1003451904      primary ext3
/dev/scsi/host4/bus0/target0/lun0/part1
/lib/partman/choose_partition/60partition_tree/choices: paragraph:
2       1003484160-500105249279 499101765120    primary unknown
/dev/scsi/host4/bus0/target0/lun0/part2
parted_server: main_loop: iteration 136
parted_server: Opening infifo


I won't be able to provide any more logs as the system is in production
as of last week.
It would be great if Gb/GiB is shown in the partition installer.

Thank you
Lucas

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#471764; Package partman-lvm. Full text and rfc822 format available.

Acknowledgement sent to "Lukasz Szybalski" <szybalski@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 471764@bugs.debian.org (full text, mbox):

From: "Lukasz Szybalski" <szybalski@gmail.com>
To: 471764@bugs.debian.org
Subject: Re: Bug#471764: partman-lvm: cannot set a size to lvm partition (size 0 is invalid)
Date: Mon, 7 Apr 2008 09:14:11 -0500
>   The partition screen shows the lvm group partition as 1.5TB, but when
>   you go into add first partition it wants the actual GiB size (max
>   1.5Tb =max 1.3Tb).
>   Not sure why it let me put into 1497303MB (all space) but not
>   1497000Mb etc.  If you recalculate by hand how much space you have in
>   GiB then its easy from there. Confusion introduced by 500Gb =465Gib
>   has everybody confused I guess. It would be much easier if everything
>   was in GiB
>
>

The same bug applies to lenny as well. On Friday I received a new
laptop that had 200GB drive, I partitioned it as small boot partition
and big lvm group. I then added 3 partitions on lvm group and same
error happen. Available size that screens tells you is "160GB" trying
to make it 155GB partition and you get the error. The screen is still
showing or calculating the wrong size. Actual partition size is 160GB
= less then 160 GIB, which then caused me to guess what size should I
put it to get 95% Is it 150, 140,143? ..etc Really annoying.

I don't know if this only happens in lvm group or everybody else is
getting this error and everybody ignores it.?

Lucas




Forcibly Merged 411943 437016 471764. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sat, 19 Jul 2008 22:51:07 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sat, 19 Jul 2008 23:24:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from J��r��my Bobbio <lunar@debian.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 22:43:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Oct 2008 07:26:19 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:12:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:12:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:48:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.